gtkmm: gdkmm Enums and Flags

gtkmm 4.12.0

Functions
gdkmm Enums and Flags

## Functions
AxisFlags | Gdk::operator| (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator& (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator^ (AxisFlags lhs, AxisFlags rhs)
AxisFlags | Gdk::operator~ (AxisFlags flags)
AxisFlags & | Gdk::operator|= (AxisFlags & lhs, AxisFlags rhs)
AxisFlags & | Gdk::operator&= (AxisFlags & lhs, AxisFlags rhs)
AxisFlags & | Gdk::operator^= (AxisFlags & lhs, AxisFlags rhs)
DragAction | Gdk::operator| (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator& (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator^ (DragAction lhs, DragAction rhs)
DragAction | Gdk::operator~ (DragAction flags)
DragAction & | Gdk::operator|= (DragAction & lhs, DragAction rhs)
DragAction & | Gdk::operator&= (DragAction & lhs, DragAction rhs)
DragAction & | Gdk::operator^= (DragAction & lhs, DragAction rhs)
ModifierType | Gdk::operator| (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator& (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator^ (ModifierType lhs, ModifierType rhs)
ModifierType | Gdk::operator~ (ModifierType flags)
ModifierType & | Gdk::operator|= (ModifierType & lhs, ModifierType rhs)
ModifierType & | Gdk::operator&= (ModifierType & lhs, ModifierType rhs)
ModifierType & | Gdk::operator^= (ModifierType & lhs, ModifierType rhs)
FrameClock::Phase | Gdk::operator| (FrameClock::Phase lhs, FrameClock::Phase rhs)
FrameClock::Phase | Gdk::operator& (FrameClock::Phase lhs, FrameClock::Phase rhs)
FrameClock::Phase | Gdk::operator^ (FrameClock::Phase lhs, FrameClock::Phase rhs)
FrameClock::Phase | Gdk::operator~ (FrameClock::Phase flags)
FrameClock::Phase & | Gdk::operator|= (FrameClock::Phase & lhs, FrameClock::Phase rhs)
FrameClock::Phase & | Gdk::operator&= (FrameClock::Phase & lhs, FrameClock::Phase rhs)
FrameClock::Phase & | Gdk::operator^= (FrameClock::Phase & lhs, FrameClock::Phase rhs)
GLApi | Gdk::operator| (GLApi lhs, GLApi rhs)
GLApi | Gdk::operator& (GLApi lhs, GLApi rhs)
GLApi | Gdk::operator^ (GLApi lhs, GLApi rhs)
GLApi | Gdk::operator~ (GLApi flags)
GLApi & | Gdk::operator|= (GLApi & lhs, GLApi rhs)
GLApi & | Gdk::operator&= (GLApi & lhs, GLApi rhs)
GLApi & | Gdk::operator^= (GLApi & lhs, GLApi rhs)
GLAPI | Gdk::operator| (GLAPI lhs, GLAPI rhs)
GLAPI | Gdk::operator& (GLAPI lhs, GLAPI rhs)
GLAPI | Gdk::operator^ (GLAPI lhs, GLAPI rhs)
GLAPI | Gdk::operator~ (GLAPI flags)
GLAPI & | Gdk::operator|= (GLAPI & lhs, GLAPI rhs)
GLAPI & | Gdk::operator&= (GLAPI & lhs, GLAPI rhs)
GLAPI & | Gdk::operator^= (GLAPI & lhs, GLAPI rhs)
Paintable::Flags | Gdk::operator| (Paintable::Flags lhs, Paintable::Flags rhs)
Paintable::Flags | Gdk::operator& (Paintable::Flags lhs, Paintable::Flags rhs)
Paintable::Flags | Gdk::operator^ (Paintable::Flags lhs, Paintable::Flags rhs)
Paintable::Flags | Gdk::operator~ (Paintable::Flags flags)
Paintable::Flags & | Gdk::operator|= (Paintable::Flags & lhs, Paintable::Flags rhs)
Paintable::Flags & | Gdk::operator&= (Paintable::Flags & lhs, Paintable::Flags rhs)
Paintable::Flags & | Gdk::operator^= (Paintable::Flags & lhs, Paintable::Flags rhs)
AnchorHints | Gdk::operator| (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator& (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator^ (AnchorHints lhs, AnchorHints rhs)
AnchorHints | Gdk::operator~ (AnchorHints flags)
AnchorHints & | Gdk::operator|= (AnchorHints & lhs, AnchorHints rhs)
AnchorHints & | Gdk::operator&= (AnchorHints & lhs, AnchorHints rhs)
AnchorHints & | Gdk::operator^= (AnchorHints & lhs, AnchorHints rhs)
Seat::Capabilities | Gdk::operator| (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | Gdk::operator& (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | Gdk::operator^ (Seat::Capabilities lhs, Seat::Capabilities rhs)
Seat::Capabilities | Gdk::operator~ (Seat::Capabilities flags)
Seat::Capabilities & | Gdk::operator|= (Seat::Capabilities & lhs, Seat::Capabilities rhs)
Seat::Capabilities & | Gdk::operator&= (Seat::Capabilities & lhs, Seat::Capabilities rhs)
Seat::Capabilities & | Gdk::operator^= (Seat::Capabilities & lhs, Seat::Capabilities rhs)
Toplevel::State | Gdk::operator| (Toplevel::State lhs, Toplevel::State rhs)
Toplevel::State | Gdk::operator& (Toplevel::State lhs, Toplevel::State rhs)
Toplevel::State | Gdk::operator^ (Toplevel::State lhs, Toplevel::State rhs)
Toplevel::State | Gdk::operator~ (Toplevel::State flags)
Toplevel::State & | Gdk::operator|= (Toplevel::State & lhs, Toplevel::State rhs)
Toplevel::State & | Gdk::operator&= (Toplevel::State & lhs, Toplevel::State rhs)
Toplevel::State & | Gdk::operator^= (Toplevel::State & lhs, Toplevel::State rhs)

## Detailed Description

## Function Documentation

## ◆ operator&() [1/10]

AnchorHints Gdk::operator& | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator&() [2/10]

AxisFlags Gdk::operator& | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator&() [3/10]

DragAction Gdk::operator& | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator&() [4/10]

FrameClock::Phase Gdk::operator& | ( | FrameClock::Phase | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator&() [5/10]

GLApi Gdk::operator& | ( | GLApi | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator&() [6/10]

GLAPI Gdk::operator& | ( | GLAPI | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator&() [7/10]

ModifierType Gdk::operator& | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator&() [8/10]

Paintable::Flags Gdk::operator& | ( | Paintable::Flags | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator&() [9/10]

Seat::Capabilities Gdk::operator& | ( | Seat::Capabilities | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator&() [10/10]

Toplevel::State Gdk::operator& | ( | Toplevel::State | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator&=() [1/10]

AnchorHints & Gdk::operator&= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator&=() [2/10]

AxisFlags & Gdk::operator&= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator&=() [3/10]

DragAction & Gdk::operator&= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator&=() [4/10]

FrameClock::Phase & Gdk::operator&= | ( | FrameClock::Phase & | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator&=() [5/10]

GLApi & Gdk::operator&= | ( | GLApi & | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator&=() [6/10]

GLAPI & Gdk::operator&= | ( | GLAPI & | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator&=() [7/10]

ModifierType & Gdk::operator&= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator&=() [8/10]

Paintable::Flags & Gdk::operator&= | ( | Paintable::Flags & | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator&=() [9/10]

Seat::Capabilities & Gdk::operator&= | ( | Seat::Capabilities & | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator&=() [10/10]

Toplevel::State & Gdk::operator&= | ( | Toplevel::State & | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator^() [1/10]

AnchorHints Gdk::operator^ | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator^() [2/10]

AxisFlags Gdk::operator^ | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator^() [3/10]

DragAction Gdk::operator^ | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator^() [4/10]

FrameClock::Phase Gdk::operator^ | ( | FrameClock::Phase | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator^() [5/10]

GLApi Gdk::operator^ | ( | GLApi | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator^() [6/10]

GLAPI Gdk::operator^ | ( | GLAPI | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator^() [7/10]

ModifierType Gdk::operator^ | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator^() [8/10]

Paintable::Flags Gdk::operator^ | ( | Paintable::Flags | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator^() [9/10]

Seat::Capabilities Gdk::operator^ | ( | Seat::Capabilities | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator^() [10/10]

Toplevel::State Gdk::operator^ | ( | Toplevel::State | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator^=() [1/10]

AnchorHints & Gdk::operator^= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator^=() [2/10]

AxisFlags & Gdk::operator^= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator^=() [3/10]

DragAction & Gdk::operator^= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator^=() [4/10]

FrameClock::Phase & Gdk::operator^= | ( | FrameClock::Phase & | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator^=() [5/10]

GLApi & Gdk::operator^= | ( | GLApi & | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator^=() [6/10]

GLAPI & Gdk::operator^= | ( | GLAPI & | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator^=() [7/10]

ModifierType & Gdk::operator^= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator^=() [8/10]

Paintable::Flags & Gdk::operator^= | ( | Paintable::Flags & | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator^=() [9/10]

Seat::Capabilities & Gdk::operator^= | ( | Seat::Capabilities & | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator^=() [10/10]

Toplevel::State & Gdk::operator^= | ( | Toplevel::State & | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator|() [1/10]

AnchorHints Gdk::operator| | ( | AnchorHints | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator|() [2/10]

AxisFlags Gdk::operator| | ( | AxisFlags | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator|() [3/10]

DragAction Gdk::operator| | ( | DragAction | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator|() [4/10]

FrameClock::Phase Gdk::operator| | ( | FrameClock::Phase | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator|() [5/10]

GLApi Gdk::operator| | ( | GLApi | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator|() [6/10]

GLAPI Gdk::operator| | ( | GLAPI | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator|() [7/10]

ModifierType Gdk::operator| | ( | ModifierType | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator|() [8/10]

Paintable::Flags Gdk::operator| | ( | Paintable::Flags | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator|() [9/10]

Seat::Capabilities Gdk::operator| | ( | Seat::Capabilities | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator|() [10/10]

Toplevel::State Gdk::operator| | ( | Toplevel::State | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator|=() [1/10]

AnchorHints & Gdk::operator|= | ( | AnchorHints & | lhs,
|  | AnchorHints | rhs
| ) |  |
| inline

## ◆ operator|=() [2/10]

AxisFlags & Gdk::operator|= | ( | AxisFlags & | lhs,
|  | AxisFlags | rhs
| ) |  |
| inline

## ◆ operator|=() [3/10]

DragAction & Gdk::operator|= | ( | DragAction & | lhs,
|  | DragAction | rhs
| ) |  |
| inline

## ◆ operator|=() [4/10]

FrameClock::Phase & Gdk::operator|= | ( | FrameClock::Phase & | lhs,
|  | FrameClock::Phase | rhs
| ) |  |
| inline

## ◆ operator|=() [5/10]

GLApi & Gdk::operator|= | ( | GLApi & | lhs,
|  | GLApi | rhs
| ) |  |
| inline

## ◆ operator|=() [6/10]

GLAPI & Gdk::operator|= | ( | GLAPI & | lhs,
|  | GLAPI | rhs
| ) |  |
| inline

## ◆ operator|=() [7/10]

ModifierType & Gdk::operator|= | ( | ModifierType & | lhs,
|  | ModifierType | rhs
| ) |  |
| inline

## ◆ operator|=() [8/10]

Paintable::Flags & Gdk::operator|= | ( | Paintable::Flags & | lhs,
|  | Paintable::Flags | rhs
| ) |  |
| inline

## ◆ operator|=() [9/10]

Seat::Capabilities & Gdk::operator|= | ( | Seat::Capabilities & | lhs,
|  | Seat::Capabilities | rhs
| ) |  |
| inline

## ◆ operator|=() [10/10]

Toplevel::State & Gdk::operator|= | ( | Toplevel::State & | lhs,
|  | Toplevel::State | rhs
| ) |  |
| inline

## ◆ operator~() [1/10]

AnchorHints Gdk::operator~ | ( | AnchorHints | flags | ) |
| inline

## ◆ operator~() [2/10]

AxisFlags Gdk::operator~ | ( | AxisFlags | flags | ) |
| inline

## ◆ operator~() [3/10]

DragAction Gdk::operator~ | ( | DragAction | flags | ) |
| inline

## ◆ operator~() [4/10]

FrameClock::Phase Gdk::operator~ | ( | FrameClock::Phase | flags | ) |
| inline

## ◆ operator~() [5/10]

GLApi Gdk::operator~ | ( | GLApi | flags | ) |
| inline

## ◆ operator~() [6/10]

GLAPI Gdk::operator~ | ( | GLAPI | flags | ) |
| inline

## ◆ operator~() [7/10]

ModifierType Gdk::operator~ | ( | ModifierType | flags | ) |
| inline

## ◆ operator~() [8/10]

Paintable::Flags Gdk::operator~ | ( | Paintable::Flags | flags | ) |
| inline

## ◆ operator~() [9/10]

Seat::Capabilities Gdk::operator~ | ( | Seat::Capabilities | flags | ) |
| inline

## ◆ operator~() [10/10]

Toplevel::State Gdk::operator~ | ( | Toplevel::State | flags | ) |
| inline